//! Rust bindings and interop for GHOST.
//! 
//! # Layout
//! ABI-compatable types and functions are all prefixed with `GHOST_` and are exported in the `c` module (TODO).
//! I've attempted to provide more Rust-idiomatic API variants as well, which have non-prefixed names.

#![cfg_attr(nightly, feature(never_type))] 

#![allow(dead_code)]
#![allow(non_camel_case_types)]

#[cfg(nightly)] pub type PVoid = *const !;
#[cfg(not(nightly))] pub type PVoid = *const libc::c_void;
#[cfg(nightly)] pub type PVoidMut = *mut !;
#[cfg(not(nightly))] pub type PVoidMut = *mut libc::c_void;

pub mod handle;
pub mod event;
pub mod types;

pub mod c;

#[cfg(test)]
mod tests {
    use super::*;
    #[test]
    fn it_works() {
	// nothing yet.
    }
}
